Page MenuHomePhabricator

No error messages for unsuccessful publishing with invalid target title
Closed, ResolvedPublic

Description

In CX2, attempting to publish an article with invalid characters in the title (Help:Page_name#Restrictions) will not result in any error messages:

CX1 will helpfully inform users about errors during publishing:

    • "An error occurred while publishing the translation. Please try to publish the page again. Error: The requested page title contains invalid characters:..."
  • "An error occurred while publishing the translation. Please try to publish the page again. Error: error"

The page will be stuck in "Publishing..." state. The Console displays the following error:

[CX] Invalid target title
mw.cx.TranslationController.onTargetTitleChange	
oo.EventEmitter.emit
ve.init.mw.CXTarget.onTargetTitleChange
oo.EventEmitter.emit	
oo.EventEmitter.emit	
OO.ui.InputWidget.setValue	
(anonymous)	
setTimeout (async)		
OO.ui.InputWidget.onEdit	
dispatch	
elemData.handle

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterShow invalid title error

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 3 2018, 9:10 PM

Change 425727 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Show invalid title error

https://gerrit.wikimedia.org/r/425727

Pginer-WMF triaged this task as Normal priority.Apr 12 2018, 10:38 AM
Pginer-WMF moved this task from Needs Triage to CX2 on the ContentTranslation board.
Petar.petkovic renamed this task from [cx2-testing] No error messages for unsuccessful publishing to No error messages for unsuccessful publishing with invalid target title.Apr 12 2018, 11:10 AM
Petar.petkovic claimed this task.
Petar.petkovic updated the task description. (Show Details)
Petar.petkovic moved this task from Backlog to In Review on the Language-2018-Apr-June board.

This patch is restoring what we have in CX1. When user tries to publish with invalid target title, publishing fails and error message is shown. After T190804, publishing the page with invalid character in the title will be impossible.

Change 425727 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Show invalid title error

https://gerrit.wikimedia.org/r/425727

Etonkovidova closed this task as Resolved.Apr 27 2018, 7:47 PM

Checked in cx2 - the error message is as in cx1:

The Console displays the error, but it may be addressed in https://phabricator.wikimedia.org/T190804:
[CX] Publishing failed {"code":"invalidtitle","info":"Bad title \"\".","*":"See http://cx2-testing.wmflabs.org/api.php for API usage.